@mixin app-vacancy-listing-theme($theme) {
  $primary: map-get($theme, primary);
  $warn: map-get($theme, warn);
  $accent: map-get($theme, accent);

  app-vacancy-listing {
    width: 100%;
    padding: 5px;
    overflow-x: hidden;
  }

  .vacancy-listing {
    margin-top: 25px !important;
    display: flex;
    flex-direction: column;
    padding: 5px;
    background-color: mat-color($primary, 50);

    .vl-main-card {
      display: flex;
      flex-direction: column;
      padding: 0px;
      background-color: mat-color($primary, 50);

      .mat-card-header {
        width: 100%;

        .header-banner {
          display: flex;
          background-color: white;
          border: 2px solid mat-color($primary, 100);
          border-radius: 5px;
          padding: 10px 10px;
          margin-top: 10px;
          margin-bottom: 20px;
          font-size: 0.9em;

          span {
            cursor: pointer;
            display: flex;
            flex: auto;
            margin-right: 15px;
            align-items: flex-end;
          }

          span:hover {
            color: mat-color($accent);
          }
        }
      }

      .mat-card-content {
        .example-small-box {
          display: flex;
          align-items: center;
          justify-content: center;
          background: white;

          .table-filters-header {
            width: 100%;
            background-color: white;
            border: 1px solid #eaf0fb;

            .table-top-icons {
              mat-icon {
                padding: 5px;
              }

              mat-icon:hover {
                cursor: pointer;
                // color: #FF5722;
                color: mat-color($warn);
              }
            }
          }

          .example-container {
            width: 100%;
            margin-right: 10px;
            margin-left: 10px;

            .ag-header-cell-text {
              overflow: visible;
              text-overflow: unset;
              white-space: normal;
            }

            .grid-footer {
              line-height: 35px;
              margin: 5px;
              .foot-notes {
                text-align: left;
                // line-height: 35px;

                .color-grade {
                  padding: 10px 30px;
                  margin: 5px;
                  line-height: 30px;
                  background-color: sandybrown;
                  border-radius: 10px;
                }
              }
              .paging-size-header {
                margin-right: 10px;
                select {
                  height: 25px;
                  margin-top: 5px;
                }
              }
            }
          }
        }
      }
    }
  }
}
